{"openapi":"3.0.1","info":{"description":"A REST API that allows programmatic access to all Requirement Yogi Cloud products.","termsOfService":"https://docs.requirementyogi.com/legal/terms-of-service","title":"Requirement Yogi Cloud REST API","version":"1.0"},"externalDocs":{"description":"Documentation","url":"https://docs.requirementyogi.com/cloud/rest-apis"},"servers":[{"url":"https://api.us.requirementyogi.com/api","description":"Generated server url"}],"security":[{"token":[]}],"tags":[{"description":"These endpoints cover the most common operations for getting started with the API.","name":"Getting Started"},{"name":"Organizations"},{"name":"Users"},{"name":"Applications"},{"name":"Containers"},{"name":"Containers - Alias (Experimental 🧪)"},{"name":"Workspaces"},{"name":"Variants"},{"name":"Variants - Alias (Experimental 🧪)"},{"name":"Requirements"},{"name":"Requirements - Alias (Experimental 🧪)"},{"name":"External Properties"},{"name":"External Property Import"},{"name":"Links"},{"name":"Rules"},{"name":"Calculations"},{"name":"Aggregations"},{"name":"Dashboards"},{"name":"Templates"}],"paths":{"/aggregations/execute":{"post":{"description":"Performs an aggregation over multiple requirements.\n <p>\n Required permissions: Read permission on the selected containers.\n </p>","operationId":"executeAggregation","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAggregationExecuteRequest"}}},"description":"the aggregation request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAggregationExecuteResponse"}}},"description":"the aggregation response"}},"summary":"Performs an aggregation over multiple requirements","tags":["Aggregations"]}},"/aggregations/parse":{"post":{"description":"Parses an aggregation formula.\n <p>\n Required permissions: Read permission on the selected containers.\n </p>","operationId":"parseAggregation","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAggregationParseRequest"}}},"description":"the aggregation to parse","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAggregationParseResponse"}}},"description":"the parsed aggregation"}},"summary":"Parses an aggregation formula","tags":["Aggregations"]}},"/applications":{"get":{"description":"Finds all the applications.\n <p>\n Required permissions: Read permission on the applications of the organization.\n </p>","operationId":"getApplications","parameters":[{"description":"the organization identifier","in":"query","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOApplication"}}},"description":"the paginated list of applications"}},"summary":"Finds all the applications","tags":["Getting Started","Applications"],"x-getting-started-order":2147483646}},"/applications/current":{"get":{"description":"Finds the current application.\n <p>\n Required permissions: None (anyone can view the current application they are authenticated with).\n </p>","operationId":"getCurrentApplication","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplication"}}},"description":"the current application"}},"summary":"Finds the current application","tags":["Applications"]}},"/applications/{applicationId}":{"get":{"description":"Finds an application.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getApplication","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplication"}}},"description":"the application, if found"}},"summary":"Finds an application","tags":["Applications"]}},"/applications/{applicationId}/containers":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all the containers.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getContainersInApplication","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the container type","in":"query","name":"type","required":false,"schema":{"$ref":"#/components/schemas/ContainerType"}},{"description":"filter the results based on the container level","in":"query","name":"level","required":false,"schema":{"$ref":"#/components/schemas/ContainerLevel"}},{"description":"filter the results based on the parent container identifier","in":"query","name":"parentContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Confluence space identifier","in":"query","name":"spaceId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Confluence space key","in":"query","name":"spaceKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the Confluence page identifier","in":"query","name":"pageId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Jira project identifier","in":"query","name":"projectId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Jira issue identifier","in":"query","name":"issueId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the workspace identifier","in":"query","name":"workspaceId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the file name","in":"query","name":"fileName","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOContainer"}}},"description":"the paginated list of containers"}},"summary":"Finds all the containers","tags":["Getting Started","Containers - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/containers/{containerId}":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds a container.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getContainerInApplication","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the container identifier","in":"path","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainer"}}},"description":"the container, if found"}},"summary":"Finds a container","tags":["Getting Started","Containers - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/link-requests":{"get":{"description":"Finds all application link requests of an application.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getLinkRequests","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplicationLinkRequest"}}},"description":"the paginated list of link requests"}},"summary":"Finds all application link requests of an application","tags":["Applications"]}},"/applications/{applicationId}/link-requests/candidates":{"get":{"description":"Finds all applications that could be linked to the current application by joining another organization.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getCandidates","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOApplication"}}},"description":"the paginated list of candidate applications"}},"summary":"Finds all applications that could be linked to the current application by joining another organization","tags":["Applications"]}},"/applications/{applicationId}/link-requests/{organizationId}":{"delete":{"description":"Cancels an application link request.\n <p>\n Required permissions: Delete permission on the link requests of the application.\n </p>","operationId":"cancelLinkRequest","parameters":[{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Cancels an application link request","tags":["Applications"]},"get":{"description":"Finds an application link request.\n <p>\n Required permissions: Read permission on the link requests of the application.\n </p>","operationId":"getLinkRequest","parameters":[{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}},"description":"the application link request, if found"}},"summary":"Finds an application link request","tags":["Applications"]},"post":{"description":"Requests to join a different organization.\n <p>\n Required permissions: Create permission on the link requests of the application.\n </p>","operationId":"createLinkRequest","parameters":[{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}},"description":"the created application link request"}},"summary":"Requests to join a different organization","tags":["Applications"]}},"/applications/{applicationId}/projects":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all containers of level \"project\".\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getProjectContainersInApplication","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOContainer"}}},"description":"the paginated list of project-level containers"}},"summary":"Finds all containers of level \"project\"","tags":["Getting Started","Containers - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all the variants in a project.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getVariantsInContainer","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the variant name","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOVariantV2"}}},"description":"the paginated list of variants"}},"summary":"Finds all the variants in a project","tags":["Getting Started","Variants - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants/current/requirements":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all the requirements in the current variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementsInCurrentVariant","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the query to filter the requirements","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"filter the results based on the requirement key","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the origin container identifier","in":"query","name":"originContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the requirements that have an external property","in":"query","name":"externalPropertyMetadataId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"whether to fetch the origin links of the requirements","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirements","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirements","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirements","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirements","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirements","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTORequirementV2"}}},"description":"the paginated list of requirements"}},"summary":"Finds all the requirements in the current variant","tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants/current/requirements/{key}":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds a requirement in the current variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementInCurrentVariant","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the requirement key","in":"path","name":"key","required":true,"schema":{"type":"string"}},{"description":"whether to fetch the origin links of the requirement","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirement","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirement","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirement","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirement","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirement","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}},"description":"the requirement, if found"}},"summary":"Finds a requirement in the current variant","tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants/{variantId}":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds a variant in a project.\n\n <p>Required permissions: Read permission on the variant.</p>","operationId":"getVariantInContainer","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the variant identifier","in":"path","name":"variantId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariantV2"}}},"description":"the variant"}},"summary":"Finds a variant in a project","tags":["Getting Started","Variants - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants/{variantId}/requirements":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds all the requirements in a variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementsInVariant","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the variant identifier","in":"path","name":"variantId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the query to filter the requirements","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"filter the results based on the requirement key","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the origin container identifier","in":"query","name":"originContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the requirements that have an external property","in":"query","name":"externalPropertyMetadataId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"whether to fetch the origin links of the requirements","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirements","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirements","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirements","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirements","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirements","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTORequirementV2"}}},"description":"the paginated list of requirements"}},"summary":"Finds all the requirements in a variant","tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/applications/{applicationId}/projects/{projectId}/variants/{variantId}/requirements/{key}":{"get":{"description":"**Experimental 🧪:** This endpoint is experimental and may change in future versions. [Learn more](https://docs.requirementyogi.com/cloud/rest-apis#Experimental-endpoints)\n\nFinds a requirement in a variant.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirementInVariant","parameters":[{"description":"the application identifier","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the project container identifier","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the variant identifier","in":"path","name":"variantId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the requirement key","in":"path","name":"key","required":true,"schema":{"type":"string"}},{"description":"whether to fetch the origin links of the requirement","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirement","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirement","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirement","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirement","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirement","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}},"description":"the requirement, if found"}},"summary":"Finds a requirement in a variant","tags":["Getting Started","Requirements - Alias (Experimental 🧪)"],"x-getting-started-order":2147483646}},"/calculations/execute":{"post":{"description":"Performs a calculation on multiple requirements.\n <p>\n Required permissions: Read permission on the selected containers.\n </p>","operationId":"executeCalculation","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationExecuteRequest"}}},"description":"the calculation to execute","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationExecuteResponse"}}},"description":"the calculation results"}},"summary":"Performs a calculation on multiple requirements","tags":["Calculations"]}},"/calculations/parse":{"post":{"description":"Parses a calculation formula.\n <p>\n Required permissions: Read permission on the selected containers.\n </p>","operationId":"parseCalculation","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationParseRequest"}}},"description":"the calculation to parse","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationParseResponse"}}},"description":"the parsed calculation"}},"summary":"Parses a calculation formula","tags":["Calculations"]}},"/containers":{"get":{"description":"Finds all the containers.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getContainers","parameters":[{"description":"the application identifier","in":"query","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the container type","in":"query","name":"type","required":false,"schema":{"$ref":"#/components/schemas/ContainerType"}},{"description":"filter the results based on the container level","in":"query","name":"level","required":false,"schema":{"$ref":"#/components/schemas/ContainerLevel"}},{"description":"filter the results based on the parent container identifier","in":"query","name":"parentContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Confluence space identifier","in":"query","name":"spaceId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Confluence space key","in":"query","name":"spaceKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the Confluence page identifier","in":"query","name":"pageId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Jira project identifier","in":"query","name":"projectId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the Jira issue identifier","in":"query","name":"issueId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the workspace identifier","in":"query","name":"workspaceId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the file name","in":"query","name":"fileName","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOContainer"}}},"description":"the paginated list of containers"}},"summary":"Finds all the containers","tags":["Containers"]},"post":{"description":"Creates a container.\n <p>\n Required permissions: Create container permission on the application.\n </p>\n <p>\n Note: You can only create containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"createContainer","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"description":"the request to create the container","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainer"}}},"description":"the created container"}},"summary":"Creates a container","tags":["Containers"]}},"/containers/{containerId}":{"delete":{"description":"Deletes a container.\n <p>\n Required permissions: Delete permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"deleteContainer","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"path","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a container","tags":["Containers"]},"get":{"description":"Finds a container.\n <p>\n Required permissions: Read permission on the container.\n </p>","operationId":"getContainer","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"path","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainer"}}},"description":"the container, if found"}},"summary":"Finds a container","tags":["Containers"]},"put":{"description":"Updates a container.\n <p>\n Required permissions: Update permission on the container.\n </p>\n <p>\n Note: You can only update containers of the following types: <code>EXCEL_FILE</code>.\n The other types of containers are managed by the system.\n </p>","operationId":"updateContainer","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"path","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOExcelFileContainerRequest"}]}}},"description":"the request to update the container","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainer"}}},"description":"the updated container"}},"summary":"Updates a container","tags":["Containers"]}},"/dashboards":{"get":{"description":"Finds all the dashboards.\n <p>\n Required permissions: Read permission on the dashboards of the container and ownership of the dashboard.\n </p>","operationId":"getDashboards","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the dashboard name","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the partial dashboard name","in":"query","name":"search","required":false,"schema":{"maxLength":1024,"minLength":0,"type":"string"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTODashboard"}}},"description":"the paginated list of dashboards"}},"summary":"Finds all the dashboards","tags":["Dashboards"]},"post":{"description":"Creates a dashboard.\n <p>\n Required permissions: Create permission on the dashboards of the container.\n </p>","operationId":"createDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboardCreateRequest"}}},"description":"the request to create the dashboard","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the created dashboard"}},"summary":"Creates a dashboard","tags":["Dashboards"]}},"/dashboards/default":{"delete":{"description":"Deletes the default dashboard of a container.\n <p>\n Required permissions: Update permission on the default dashboard of the container.\n </p>","operationId":"deleteDefaultDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes the default dashboard of a container","tags":["Dashboards"]},"get":{"description":"Finds the default dashboard of a container.\n <p>\n Required permissions: Read permission on the dashboards of the container.\n </p>","operationId":"getDefaultDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the default dashboard of the container"}},"summary":"Finds the default dashboard of a container","tags":["Dashboards"]},"put":{"description":"Creates or updates the default dashboard of a container.\n <p>\n Required permissions: Update permission on the default dashboard of the container.\n </p>","operationId":"createOrUpdateDefaultDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODefaultDashboardRequest"}}},"description":"the request to create or update the default dashboard","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the created or updated default dashboard"}},"summary":"Creates or updates the default dashboard of a container","tags":["Dashboards"]}},"/dashboards/{dashboardId}":{"delete":{"description":"Deletes a dashboard.\n <p>\n Required permissions: Delete permission on the dashboards of the container and ownership of the dashboard.\n </p>","operationId":"deleteDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the dashboard identifier","in":"path","name":"dashboardId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a dashboard","tags":["Dashboards"]},"get":{"description":"Finds a dashboard.\n <p>\n Required permissions: Read permission on the container and ownership of the dashboard.\n </p>","operationId":"getDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the dashboard identifier","in":"path","name":"dashboardId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the dashboard"}},"summary":"Finds a dashboard","tags":["Dashboards"]},"put":{"description":"Updates a dashboard.\n <p>\n Required permissions: Update permission on the dashboards of the container and ownership of the dashboard.\n </p>","operationId":"updateDashboard","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the dashboard identifier","in":"path","name":"dashboardId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboardUpdateRequest"}}},"description":"the request to update the dashboard","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the updated dashboard"}},"summary":"Updates a dashboard","tags":["Dashboards"]}},"/dashboards/{dashboardId}/make-default":{"post":{"description":"Makes a dashboard the default dashboard of the container.\n <p>\n Required permissions: Read permission on the dashboards of the container, ownership of the dashboard, and update\n permission on the default dashboard of the container.\n </p>","operationId":"makeDefault","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the dashboard identifier","in":"path","name":"dashboardId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODashboard"}}},"description":"the new default dashboard"}},"summary":"Makes a dashboard the default dashboard of the container","tags":["Dashboards"]}},"/external-properties":{"get":{"description":"Returns a paginated list of external property metadata.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getMetadataList","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"optional substring to match against property names","in":"query","name":"search","required":false,"schema":{"maxLength":1024,"minLength":0,"type":"string"}},{"description":"optional exact name filter","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional data-type filter; multiple values are OR-combined","in":"query","name":"dataType","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalPropertyDataType"}}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOExternalPropertyMetadataV2"}}},"description":"the paginated list of external property metadata"}},"summary":"Returns a paginated list of external property metadata","tags":["External Property Metadata"]},"post":{"description":"Creates a new external property metadata.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>","operationId":"createMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadataRequest"}}},"description":"the creation request","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadataV2"}}},"description":"the created external property metadata"}},"summary":"Creates a new external property metadata","tags":["External Property Metadata"]}},"/external-properties/bulk":{"post":{"description":"Schedules setting the same external property value on every requirement matching the query.\n\n <p>Existing values are only overwritten when <code>overrideExisting</code> is set, and baselined\n requirements are skipped unless the property is editable in baselines and <code>includeBaselined</code> is set.\n\n <p>When the request carries dependency steps, the query only selects the requirements to walk from and\n the value is set on the dependencies those steps reach, in the direction and for the relationship of each\n step. Dependencies whose own container the user cannot update are ignored, at every hop: they are neither\n updated nor walked through to reach further dependencies.</p>\n\n <p>Rejected with a <code>400</code>, before any job is scheduled: a value that does not fit the property's\n data type, a selection matching no requirement, a selection whose dependency steps reach nothing\n updatable, and one over the bulk maximum.</p>\n\n <p>Required permissions: Update permission on the container; only Read permission on it when the request\n carries dependency steps, the Update permission being then required on the dependencies' own containers.</p>","operationId":"bulkSetExternalPropertyValues","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBulkExternalPropertyRequest"}}},"description":"the bulk assignment request","required":true},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBulkExternalPropertyResponse"}}},"description":"the identifier of the scheduled batch"}},"summary":"Schedules setting the same external property value on every requirement matching the query","tags":["External Properties"]}},"/external-properties/bulk/batches":{"get":{"description":"Lists the still-running bulk assignments in a container scheduled by the current user, for the\n progress panel.\n\n <p>Required permissions: Read permission on the container.</p>","operationId":"getRunningBulkSetBatches","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container to list the running batches of","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOBulkExternalPropertyBatchSummary"}}},"description":"the page of running batches owned by the current user"}},"summary":"Lists the still-running bulk assignments in a container scheduled by the current user, for the\n progress panel","tags":["External Properties"]}},"/external-properties/bulk/batches/{batchId}/status":{"get":{"description":"Returns the status of a scheduled bulk assignment batch.\n\n <p>Required permissions: Read permission on the container.</p>","operationId":"getBulkSetStatus","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container the batch targets","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the batch returned by {@link com.requirementyogi.cloud.api.features.external_properties.controllers.ExternalPropertyBulkController#bulkSetExternalPropertyValues #bulkSetExternalPropertyValues}","in":"path","name":"batchId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBulkExternalPropertyStatus"}}},"description":"the batch status (running / failed / success), with the requirement-level breakdown of the\n     outcome (total, processed, updated and skipped counts)"}},"summary":"Returns the status of a scheduled bulk assignment batch","tags":["External Properties"]}},"/external-properties/import":{"post":{"description":"Imports external property values into a container from an uploaded spreadsheet.\n\n <p>Required permissions: Create permission on the container.</p>","operationId":"importExternalPropertyValues","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"the file content"},"template":{"$ref":"#/components/schemas/DTOExternalPropertyImportTemplate"}},"required":["file","template"]}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOImportResult"}}},"description":"the import result"}},"summary":"Imports external property values into a container from an uploaded spreadsheet","tags":["External Property Import"]}},"/external-properties/import/json":{"post":{"description":"Imports external property values from a JSON file encoded in the request.\n The JSON file is decoded and processed to update the specified space template with the imported data.\n <i>Waiting for https://community.developer.atlassian.com/t/multipart-form-data-with-forge-remote/79454</i>\n <i>Waiting for https://ecosystem.atlassian.net/browse/FRGE-1387</i>","operationId":"importExternalPropertyValuesAsJson","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyImportRequest"}}},"description":"the request containing the encoded JSON file and associated template details.\n                Must be a valid {@link DTOExternalPropertyImportRequest DTOExternalPropertyImportRequest}.","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOImportResult"}}},"description":"a {@link DTOImportResult DTOImportResult} containing the results of the import operation."}},"summary":"Imports external property values from a JSON file encoded in the request.","tags":["External Property Import"]}},"/external-properties/usage":{"get":{"description":"Returns the usage of the given external properties across requirements, requirement types and baselines.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>","operationId":"getMetadataUsage","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifiers of the external properties to compute usage for","in":"query","name":"ids","required":true,"schema":{"maxItems":200,"minItems":0,"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOExternalPropertyUsage"}}}},"description":"the usage of each requested external property"}},"summary":"Returns the usage of the given external properties across requirements, requirement types and baselines","tags":["External Property Metadata"]}},"/external-properties/{id}":{"delete":{"description":"Deletes an external property metadata and all its associated values.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>","operationId":"deleteMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the external property to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes an external property metadata and all its associated values","tags":["External Property Metadata"]},"get":{"description":"Returns a single external property metadata by id.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the external property identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadataV2"}}},"description":"the external property metadata"}},"summary":"Returns a single external property metadata by id","tags":["External Property Metadata"]},"put":{"description":"Updates an existing external property metadata.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>","operationId":"updateMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the external property identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadataRequest"}}},"description":"the update request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadataV2"}}},"description":"the updated external property metadata"}},"summary":"Updates an existing external property metadata","tags":["External Property Metadata"]}},"/external-properties/{id}/usage/requirement-types":{"get":{"description":"Returns a paginated list of the requirement type identifiers that use a given external property.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>","operationId":"getRequirementTypeUsage","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the external property identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseLong"}}},"description":"the paginated requirement type identifiers"}},"summary":"Returns a paginated list of the requirement type identifiers that use a given external property","tags":["External Property Metadata"]}},"/external-properties/{id}/usage/requirements":{"get":{"deprecated":true,"description":"**⚠️ This endpoint is deprecated.** It will be removed in a future version.\n\n**Deprecated since:** September 9, 2026\n\nReturns a paginated list of the requirement identifiers that use a given external property.\n <p>\n Required permissions: Champion or admin permission on the application.\n </p>\n\n**Alternative:** [GET /requirements](#/Requirements/getRequirements)","operationId":"getRequirementUsage","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the external property identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseLong"}}},"description":"the paginated requirement identifiers"}},"summary":"Returns a paginated list of the requirement identifiers that use a given external property","tags":["External Property Metadata"]}},"/files":{"post":{"description":"Creates a file metadata.","operationId":"createFileMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFileRequest"}}},"description":"the file metadata to create","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFile"}}},"description":"the created file metadata"}},"summary":"Creates a file metadata.","tags":["Files"]}},"/files/{id}":{"get":{"description":"Retrieves the metadata of a file.","operationId":"getFileMetadata","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFile"}}},"description":"the metadata of the file"}},"summary":"Retrieves the metadata of a file.","tags":["Files"]}},"/files/{id}/download":{"get":{"description":"Downloads a file.","operationId":"downloadFile","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}},"description":"the file content"}},"summary":"Downloads a file.","tags":["Files"]}},"/files/{id}/download/blob":{"get":{"description":"Downloads a file as a base64 encoded string.","operationId":"downloadBlobFile","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFileEncodedResponse"}}},"description":"the file content as a base64 encoded string"}},"summary":"Downloads a file as a base64 encoded string.","tags":["Files"]}},"/files/{id}/download/url":{"get":{"description":"Retrieves the download URL of a file.","operationId":"getFileDownloadUrl","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFileUrlResponse"}}},"description":"the download URL of the file"}},"summary":"Retrieves the download URL of a file.","tags":["Files"]}},"/files/{id}/upload":{"put":{"description":"Uploads a file.","operationId":"uploadFile","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"the file content"}},"required":["file"]}}}},"responses":{"200":{"description":"OK"}},"summary":"Uploads a file.","tags":["Files"]}},"/files/{id}/upload/blob":{"put":{"description":"Uploads a file as a base64 encoded string.","operationId":"uploadBlobFile","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFileEncodedRequest"}}},"description":"the base64 encoded file content","required":true},"responses":{"200":{"description":"OK"}},"summary":"Uploads a file as a base64 encoded string.","tags":["Files"]}},"/files/{id}/upload/url":{"get":{"description":"Retrieves the upload URL of a file.","operationId":"getFileUploadUrl","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the identifier of the file","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFileUrlResponse"}}},"description":"the upload URL of the file"}},"summary":"Retrieves the upload URL of a file.","tags":["Files"]}},"/jobs":{"get":{"description":"Finds all the jobs.\n <p>\n Required permissions:\n - If no container identifier is provided: admin permission on the application.\n - If a container identifier is provided: read permission on the container.\n </p>\n <p>\n Additional details:\n - If the user has admin permission on the provided container, they can see the jobs of all users on the container.\n - Otherwise, the user can only see its own jobs on the container.\n </p>","operationId":"getJobs","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"filter the results based on the container identifier","in":"query","name":"containerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the batch identifier","in":"query","name":"batchId","required":false,"schema":{"type":"string","format":"uuid"}},{"description":"filter the results based on the job type","in":"query","name":"type","required":false,"schema":{"$ref":"#/components/schemas/JobRequestType"}},{"description":"filter the results based on the job status","in":"query","name":"status","required":false,"schema":{"$ref":"#/components/schemas/JobStatusV2"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOJob"}}},"description":"the paginated list of jobs"}},"summary":"Finds all the jobs","tags":["Jobs"]}},"/jobs/{jobId}":{"get":{"description":"Finds a job.\n <p>\n Required permission: Read permission on the job.\n </p>","operationId":"getJob","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the job identifier","in":"path","name":"jobId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOJob"}}},"description":"the job, if found"}},"summary":"Finds a job","tags":["Jobs"]}},"/jobs/{jobId}/cancel":{"post":{"description":"Cancels a job.\n <p>\n Required permission: Cancel permission on the job.\n </p>","operationId":"cancelJob","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the job identifier","in":"path","name":"jobId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}},"summary":"Cancels a job","tags":["Jobs"]}},"/jobs/{jobId}/retry":{"post":{"description":"Retries a job.\n <p>\n Required permission: Retry permission on the job.\n </p>","operationId":"retryJob","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the job identifier","in":"path","name":"jobId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}},"summary":"Retries a job","tags":["Jobs"]}},"/organizations":{"get":{"description":"Finds all the organizations the current user belongs to.\n <p>\n Required permissions: None (anyone can view the organizations they belong to).\n </p>","operationId":"getOrganizations","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOOrganization"}}}},"description":"the list of organizations of the current user"}},"summary":"Finds all the organizations the current user belongs to","tags":["Getting Started","Organizations"],"x-getting-started-order":1},"post":{"description":"Creates an organization.\n <p>\n Required permissions: None (anyone can create new organizations).\n </p>","operationId":"createOrganization","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationRequest"}}},"description":"the request to create the organization","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}},"description":"the created organization"}},"summary":"Creates an organization","tags":["Organizations"]}},"/organizations/{organizationId}":{"delete":{"description":"Deletes an organization.\n <p>\n Required permissions: Delete permission on the organization.\n </p>","operationId":"deleteOrganization","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes an organization","tags":["Organizations"]},"get":{"description":"Finds an organization.\n <p>\n Required permissions: Read permission on the organization.\n </p>","operationId":"getOrganization","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}},"description":"the organization, if found"}},"summary":"Finds an organization","tags":["Organizations"]},"put":{"description":"Updates an organization.\n <p>\n Required permissions: Update permission on the organization.\n </p>","operationId":"updateOrganization","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationRequest"}}},"description":"the request to update the organization","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganization"}}},"description":"the updated organization"}},"summary":"Updates an organization","tags":["Organizations"]}},"/organizations/{organizationId}/invitations":{"get":{"description":"Finds all the user invitations of the organization.\n <p>\n Required permissions: Read permission on the invitations of the organization.\n </p>","operationId":"getInvitations","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOUserInvitation"}}},"description":"the paginated list of user invitations"}},"summary":"Finds all the user invitations of the organization","tags":["Organizations"]},"post":{"description":"Invites a user to join the organization.\n <p>\n Required permissions: Create permission on the invitations of the organization.\n </p>","operationId":"createInvitation","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitationCreateRequest"}}},"description":"the request to create the invitation","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}},"description":"the created invitation"}},"summary":"Invites a user to join the organization","tags":["Organizations"]}},"/organizations/{organizationId}/invitations/{invitationId}":{"delete":{"description":"Deletes a user invitation of the organization.\n <p>\n Required permissions: Delete permission on the invitations of the organization.\n </p>","operationId":"deleteInvitation","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the invitation identifier","in":"path","name":"invitationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a user invitation of the organization","tags":["Organizations"]},"get":{"description":"Finds a user invitation of the organization.\n <p>\n Required permissions: Read permission on the invitations of the organization.\n </p>","operationId":"getInvitation","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the invitation identifier","in":"path","name":"invitationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}},"description":"the invitation, if found"}},"summary":"Finds a user invitation of the organization","tags":["Organizations"]},"put":{"description":"Updates a user invitation of the organization.\n <p>\n Required permissions: Update permission on the invitations of the organization.\n </p>","operationId":"updateInvitation","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the invitation identifier","in":"path","name":"invitationId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitationUpdateRequest"}}},"description":"the request to update the user invitation","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUserInvitation"}}},"description":"the updated invitation"}},"summary":"Updates a user invitation of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/link-requests":{"get":{"description":"Finds all application link requests of the organization.\n <p>\n Required permissions: Read permission on the link requests of the organization.\n </p>","operationId":"getOrganizationLinkRequests","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOApplicationLinkRequest"}}},"description":"the paginated list of application link requests"}},"summary":"Finds all application link requests of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/link-requests/{applicationId}":{"get":{"description":"Finds an application link request of the organization.\n <p>\n Required permissions: Read permission on the link requests of the organization.\n </p>","operationId":"getOrganizationLinkRequest","parameters":[{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOApplicationLinkRequest"}}},"description":"the application link request, if found"}},"summary":"Finds an application link request of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/link-requests/{applicationId}/approve":{"post":{"description":"Approves an application link request of the organization.\n <p>\n This means the application is allowed to join the organization.\n </p>\n <p>\n Required permissions: Manage permission on the link requests of the organization.\n </p>","operationId":"approveLinkRequest","parameters":[{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Approves an application link request of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/link-requests/{applicationId}/reject":{"post":{"description":"Rejects an application link request of the organization.\n <p>\n This means the application is not allowed to join the organization.\n </p>\n <p>\n Required permissions: Manage permission on the link requests of the organization.\n </p>","operationId":"rejectLinkRequest","parameters":[{"description":"the identifier of the target organization","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the identifier of the source application","in":"path","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Rejects an application link request of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/members":{"get":{"description":"Finds all the members of the organization.\n <p>\n Required permissions: Read permission on the members of the organization.\n </p>","operationId":"getMembers","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTOOrganizationMember"}}},"description":"the paginated list of organization members"}},"summary":"Finds all the members of the organization","tags":["Organizations"]}},"/organizations/{organizationId}/members/{userId}":{"delete":{"description":"Removes a member from the organization.\n <p>\n Required permissions: Delete permission on the members of the organization.\n </p>","operationId":"removeMember","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the user identifier","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"summary":"Removes a member from the organization","tags":["Organizations"]},"get":{"description":"Finds a member of the organization.\n <p>\n Required permissions: Read permission on the members of the organization.\n </p>","operationId":"getMember","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the user identifier","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMember"}}},"description":"the organization member, if found"}},"summary":"Finds a member of the organization","tags":["Organizations"]},"put":{"description":"Updates a member of the organization.\n <p>\n Required permissions: Update permission on the members of the organization.\n </p>","operationId":"updateMember","parameters":[{"description":"the organization identifier","in":"path","name":"organizationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the user identifier","in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMemberUpdateRequest"}}},"description":"the request to update the organization member","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOOrganizationMember"}}},"description":"OK"}},"summary":"Updates a member of the organization","tags":["Organizations"]}},"/relationships":{"get":{"description":"Finds all the relationships.\n <p>\n Required permissions: Read permission on the application.\n </p>","operationId":"getRelationships","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTORelationship"}}},"description":"the paginated list of relationships"}},"summary":"Finds all the relationships","tags":["Relationships"]}},"/requirements":{"get":{"description":"Finds all the requirements.\n <p>\n Required permissions:\n - If a container identifier is provided: read permission on the requirements of the container.\n - If no container identifier is provided: only returns requirements belonging to containers where the user\n has read permission.\n </p>","operationId":"getRequirements","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the query to filter the requirements","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"the project container identifier","in":"query","name":"projectContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the variant identifier","in":"query","name":"variantId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the requirement key","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"filter the results based on the origin container identifier","in":"query","name":"originContainerId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"filter the results based on the requirements that have an external property","in":"query","name":"externalPropertyMetadataId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"whether to fetch the origin links of the requirements","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirements","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirements","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirements","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirements","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirements","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseModelDTORequirementV2"}}},"description":"the paginated list of requirements"}},"summary":"Finds all the requirements","tags":["Requirements"]},"post":{"description":"Creates a requirement.\n <p>\n Required permissions: Create permission on the requirements of the container.\n </p>","operationId":"createRequirement","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementCreateRequest"}}},"description":"the request to create the requirement","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}},"description":"the created requirement"}},"summary":"Creates a requirement","tags":["Requirements"]}},"/requirements/rename":{"post":{"description":"Renames requirements.\n <p>\n Required permissions: Update permission on the requirements of the container.\n </p>","operationId":"renameRequirements","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRenameRequest"}}},"description":"the requirement rename request","required":true},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOJob"}}},"description":"the scheduled rename validation job"}},"summary":"Renames requirements","tags":["Requirements"]}},"/requirements/rename/status":{"get":{"description":"Retrieves the status of a requirement rename operation.\n <p>\n Required permission: Read permission on the requirements of the container.\n </p>\n <p>\n Note:\n If no batch identifier is provided, retrieves the status of the latest requirement rename operation.\n If a batch identifier is provided, retrieves the status of the specific requirement rename operation.\n </p>","operationId":"getRenameStatus","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the container identifier","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"(optional) the batch identifier of the requirement rename operation","in":"query","name":"batchId","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueBatchStatusResponse"}}},"description":"the status of the requirement rename operation, if found"}},"summary":"Retrieves the status of a requirement rename operation","tags":["Requirements"]}},"/requirements/rename/suggest":{"post":{"description":"Suggests and previews a requirement rename operation.\n <p>\n Required permission: Read permission on the requirements of the container.\n </p>","operationId":"getRenameSuggestion","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementRenameRequest"}}},"description":"the requirement rename request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORenameSuggestionResult"}}},"description":"the requirement rename suggestion"}},"summary":"Suggests and previews a requirement rename operation","tags":["Requirements"]}},"/requirements/{requirementId}":{"delete":{"description":"Deletes a requirement.\n <p>\n Required permissions: Delete permission on the requirements of the container.\n </p>","operationId":"deleteRequirement","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the requirement identifier","in":"path","name":"requirementId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a requirement","tags":["Requirements"]},"get":{"description":"Finds a requirement.\n <p>\n Required permissions: Read permission on the requirements of the container.\n </p>","operationId":"getRequirement","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the requirement identifier","in":"path","name":"requirementId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"whether to fetch the origin links of the requirement","in":"query","name":"includeOriginLinks","required":false,"schema":{"type":"boolean","default":true}},{"description":"whether to fetch the reference links of the requirement","in":"query","name":"includeReferenceLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the child dependency links of the requirement","in":"query","name":"includeFromDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the parent dependency links of the requirement","in":"query","name":"includeToDependencies","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the Jira issue links of the requirement","in":"query","name":"includeJiraIssueLinks","required":false,"schema":{"type":"boolean","default":false}},{"description":"whether to fetch the test case version links of the requirement","in":"query","name":"includeTestCaseLinks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}},"description":"the requirement, if found"}},"summary":"Finds a requirement","tags":["Requirements"]},"put":{"description":"Updates a requirement.\n <p>\n Required permissions: Update permission on the requirements of the container.\n </p>","operationId":"updateRequirement","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the requirement identifier","in":"path","name":"requirementId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"whether to update the origin page if the requirement is defined in a Confluence page","in":"query","name":"updateOrigin","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementUpdateRequest"}}},"description":"the request to update the requirement","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementV2"}}},"description":"the updated requirement"}},"summary":"Updates a requirement","tags":["Requirements"]}},"/requirements/{requirementId}/external-properties":{"get":{"description":"Returns a paginated list of external property values belonging to the requirement.\n\n <p>Required permissions: Read permission on the requirement.</p>","operationId":"getRequirementExternalProperties","parameters":[{"description":"the application identifier (required, unless the authentication method is already scoped to a single application)","in":"query","name":"applicationId","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"the requirement identifier","in":"path","name":"requirementId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOExternalPropertyV2"}}},"description":"the paginated list of external properties"}},"summary":"Returns a paginated list of external property values belonging to the requirement","tags":["External Properties"]},"post":{"description":"Creates an external property value on the requirement.\n\n <p>Required permissions: Create permission on the requirement.</p>","operationId":"createRequirementExternalProperty","parameters":[{"
[...]
